import subprocess

# 定义要启动的应用及其路径和端口
services = [
    ("data_processing/processing_limit_power/processing_limit_power_by_agcavc.py", 10086),
    ("data_processing/processing_limit_power/processing_limit_power_by_machines.py", 10087),
    ("data_processing/processing_limit_power/processing_limit_power_by_records.py", 10088),
    ("data_processing/processing_limit_power/processing_limit_power_by_statistics_light.py", 10085),
    ("evaluation_processing/analysis.py", 10092),
    ("evaluation_processing/evaluation_accuracy.py", 10091),
    ("models_processing/model_train/model_training_lightgbm.py", 10089),
    ("models_processing/model_predict/model_prediction_lightgbm.py", 10090),
]

# 启动所有服务
processes = []
for service, port in services:
    print(f"Starting {service} on port {port}")
    p = subprocess.Popen(["python", service])
    processes.append(p)

# 等待所有进程结束
for p in processes:
    p.wait()
